## django-graphene 2.15.0

=== Makefile ===
.PHONY: dev-setup ## Install development dependencies
dev-setup:
	pip install -e ".[dev]"

.PHONY: install-dev
install-dev: dev-setup  # Alias install-dev -> dev-setup

.PHONY: tests
tests:
	py.test graphene_django --cov=graphene_django -vv

.PHONY: test
test: tests  # Alias test -> tests

.PHONY: format
format:
	black --exclude "/migrations/" graphene_django examples setup.py

.PHONY: lint
lint:
	flake8 graphene_django examples

.PHONY: docs ## Generate docs
docs: dev-setup
	cd docs && make install && make html

.PHONY: docs-live ## Generate docs with live reloading
docs-live: dev-setup
	cd docs && make install && make livehtml

=== docs/requirements.txt ===
Sphinx==1.5.3
sphinx-autobuild==0.7.1
# Docs template
http://graphene-python.org/sphinx_graphene_theme.zip

=== examples/cookbook-plain/requirements.txt ===
graphene>=2.1,<3
graphene-django>=2.1,<3
graphql-core>=2.1,<3
django==3.0.7

=== examples/cookbook/requirements.txt ===
graphene>=2.1,<3
graphene-django>=2.1,<3
graphql-core>=2.1,<3
django==3.0.7
django-filter>=2

=== debian/changelog ===
django-graphene (2.15.0-1) unstable; urgency=medium

  * Upload to unstable
  * [2240bec] d/control: Remove obsolete field Testsuite
  * [ab70a1f] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [5dec035] d/rules: Remove unneeded lines
  * [e9ab76d] d/README.source: Add hint about req. local installed package
    In case you build this package by git-pbuilder ypu will need to have
    the package python3-pytest-runner installed locally.
  * [318a8a1] d/control: Mark the -doc package Multi-Arch: foreign
  * [dccfb96] d/s/lintian-overrides: Correct and adjust the entries
  * [eb95c48] d/gbp.conf: Adjust to branch debian/sid

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Jan 2022 18:34:54 +0100

django-graphene (2.15.0-1~exp1) experimental; urgency=medium

  * [000b43f] New upstream version 2.15.0
  * [43b756c] First and basic Debianization
    (Closes: #991812)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Aug 2021 18:01:27 +0200

=== debian/control ===
Source: django-graphene
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-django,
 python3-graphene,
 python3-graphql-core,
 python3-promise,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 python3-singledispatch,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-text-unidecode,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-graphene
Vcs-Git: https://salsa.debian.org/python-team/packages/django-graphene.git
Homepage: https://github.com/graphql-python/django-graphene-py

Package: python-django-graphene-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Django integration for Graphene (Documentation)
 Graphene-Django is built on top of Graphene. Graphene-Django provides some
 additional abstractions that make it easy to add GraphQL functionality to
 your Django project.
 .
 This package contains the documentation of the library.

Package: python3-django-graphene
Architecture: all
Depends:
 python3-django,
 python3-graphene,
 python3-promise,
 python3-singledispatch,
 ${misc:Depends},
 ${python3:Depends},
Description: Django integration for Graphene (Python3 version)
 Graphene-Django is built on top of Graphene. Graphene-Django provides some
 additional abstractions that make it easy to add GraphQL functionality to
 your Django project.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=django-graphene
# Tests needs some more work to get them work.
export PYBUILD_DISABLE=test

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	rm -rf $(CURDIR)/.eggs
	dh_clean

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-graphene-doc/usr/share/doc/python-django-graphene-doc/html
	rm $(CURDIR)/debian/python-django-graphene-doc/usr/share/doc/python-django-graphene-doc/html/.nojekyll
	dh_sphinxdoc
endif

=== debian/watch ===
# watch file for django-graphene

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/django-graphene-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/graphql-python/graphene-django.git \
refs/tags/v(\d+\.\d+|\d+\.\d+\.\d+)

## django-graphene 3.0.1

=== Makefile ===
.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@grep -E '^\.PHONY: [a-zA-Z_-]+ .*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = "(: |##)"}; {printf "\033[36m%-30s\033[0m %s\n", $$2, $$3}'

.PHONY: dev-setup ## Install development dependencies
dev-setup:
	pip install -e ".[dev]"

.PHONY: tests ## Run unit tests
tests:
	py.test graphene_django --cov=graphene_django -vv

.PHONY: format ## Format code
format:
	black graphene_django examples setup.py

.PHONY: lint ## Lint code
lint:
	flake8 graphene_django examples

.PHONY: docs ## Generate docs
docs: dev-setup
	cd docs && make install && make html

.PHONY: docs-live ## Generate docs with live reloading
docs-live: dev-setup
	cd docs && make install && make livehtml

=== examples/cookbook-plain/requirements.txt ===
graphene>=2.1,<3
graphene-django>=2.1,<3
graphql-core>=2.1,<3
django==3.1.14

## django-graphene 3.1.3

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 .PHONY: dev-setup ## Install development dependencies
 dev-setup:
 	pip install -e ".[dev]"
+	python -m pre_commit install
 
 .PHONY: tests ## Run unit tests
 tests:

=== debian/changelog ===
django-graphene (3.1.3-1) unstable; urgency=medium

  * [26b4423] New upstream version 3.1.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 21 Jul 2023 18:19:15 +0200

django-graphene (3.1.2-1) unstable; urgency=medium

  * [b9aa42d] New upstream version 3.1.2
  * [c9bf9d5] Rebuild patch queue from patch-queue branch
    Updated patch:
    Sideloading-Don-t-link-to-external-resources.patch
  * [0711107] debian/*: Update file data about shipped JS files
  * [320110d] d/copyright: Update data on CSS files
  * [ddc1ad0] d/README.source: Update information about included CSS

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 21 Jun 2023 19:52:29 +0200

django-graphene (3.1.1-1) experimental; urgency=medium

  * [8462a31] New upstream version 3.1.1
  * [50ce3f1] Rebuild patch queue from patch-queue branch
    Updated patch:
    Sideloading-Don-t-link-to-external-resources.patch
    Removed patch (fixed upstream):
    docs-settings.rst-Correct-reST-syntax.patch
  * [b5e315a] debian/*: Update file data about shipped JS files
  * [7a63818] d/README.source: Adjust information about *.js files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 29 May 2023 14:04:46 +0200

django-graphene (3.0.2-1) experimental; urgency=medium

  * [c4d8bf1] New upstream version 3.0.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 04 May 2023 17:28:17 +0200

django-graphene (3.0.1-1) experimental; urgency=medium

  * [801b377] New upstream version 3.0.1
  * [893dec8] Rebuild patch queue from patch-queue branch
    Updated patch:
    Sideloading-Don-t-link-to-external-resources.patch
  * [e5e33c0] debian/*: Update file data about shipped JS files
    Upstream dropped the usage of 'client.js' and uses #graphql-ws.min.js'
    now. Updating the files in debian/{missing-sources,static}.
  * [20fdb16] d/python3-django-graphene: Drop install of client.js
  * [7d29514] d/copyright: Update data about files
  * [e471c61] d/README.source: Adjust information about *.js files
  * [b151fa2] Lintian: Adjust lintian overriding rules

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 03 May 2023 19:21:53 +0200

django-graphene (3.0.0-1) experimental; urgency=medium

  * [b5949dc] New upstream version 3.0.0
  * [d24cc5a] Rebuild patch queue from patch-queue branch
    Modified/renamed patch:
    settings.rst-Correct-reST-syntax.patch
    -> docs-settings.rst-Correct-reST-syntax.patch
    Modified/renamed patch:
    Don-t-use-intersphinx-while-build-of-documentation.patch
    -> docs-Use-local-inventory-for-intersphinx.patch
  * [9b257db] d/control: Adjust B-D entries, add BuildProfileSpecs
  * [9fed188] Lintian: Adjust syntax for source package processing
  * [a9d14d9] Lintian: Adjust/update *-doc package entries
  * [df0c1e6] Lintian: Adjust/update python3-* package entries
  * [bc57a09] d/rules: Create a reproducible doc package
  * [db840c7] d/rules: Drop --with option in default target
  * [5d7eb3b] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [8484a8e] d/copyright: Update year data
  * [d86ea3f] d/README.source: Update, add info about pygments-graphql

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 Feb 2023 11:28:34 +0100

django-graphene (2.15.0-2) unstable; urgency=medium

  * [51d2c05] d/control: Correct Homepage URL data
  * [ba6b1fa] Rebuild patch queue from patch-queue branch
    Added patch:
    Utils-Switch-import-depend-on-Django-version.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 13 Jul 2022 21:33:53 +0200

## django-graphene 3.1.5

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 .PHONY: tests ## Run unit tests
 tests:
-	py.test graphene_django --cov=graphene_django -vv
+	PYTHONPATH=. pytest graphene_django --cov=graphene_django -vv
 
 .PHONY: format ## Format code
 format:
@@ -18,7 +18,7 @@
 
 .PHONY: lint ## Lint code
 lint:
-	flake8 graphene_django examples
+	ruff graphene_django examples
 
 .PHONY: docs ## Generate docs
 docs: dev-setup

=== debian/changelog ===
django-graphene (3.1.5-1) unstable; urgency=medium

  * [e5010d7] New upstream version 3.1.5

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Aug 2023 07:02:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,33 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all,
 Build-Depends-Indep:
- dh-python,
- python3-django,
- python3-graphene,
- python3-graphql-core,
+ pybuild-plugin-pyproject,
+ python3-django (>= 3.2)<!nocheck>,
+ python3-django-filters (>= 22.1) <!nocheck>,
+ python3-doc <!nodoc>,
+ python3-graphene (>= 3.0)<!nocheck>,
+ python3-graphql-core (>= 3.1.0)<!nocheck>,
+ python3-mock <!nocheck>,
  python3-promise,
- python3-pytest,
- python3-pytest-runner,
+ python3-pytest (>= 7.1.3) <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pytest-django <!nocheck>,
+ python3-pytest-random-order <!nocheck>,
+ python3-pytest-runner <!nocheck>,
+ python3-graphql-relay (>= 3.2.0) <!nocheck>,
  python3-setuptools,
- python3-singledispatch,
- python3-sphinx,
- python3-sphinx-rtd-theme,
- python3-text-unidecode,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-text-unidecode <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-graphene
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-graphene.git
-Homepage: https://github.com/graphql-python/django-graphene-py
+Homepage: https://github.com/graphql-python/graphene-django
 
 Package: python-django-graphene-doc
 Architecture: all

## django-graphene 3.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: install ## to install all documentation related requirements
install:
	pip install -r requirements.txt

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: livehtml ## to build and serve live-reloading documentation
livehtml:
	sphinx-autobuild -b html --watch ../graphene_django $(ALLSPHINXOPTS) $(BUILDDIR)/html

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Graphene.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Graphene.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Graphene"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Graphene"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== docs/requirements.txt ===
Sphinx==7.0.0
sphinx-autobuild==2021.3.14
pygments-graphql-lexer==0.1.0
# Docs template
http://graphene-python.org/sphinx_graphene_theme.zip

=== examples/cookbook-plain/requirements.txt ===
django~=3.2
graphene
graphene-django>=3.1

=== examples/cookbook/requirements.txt ===
graphene>=2.1,<3
graphene-django>=2.1,<3
graphql-core>=2.1,<3
django==3.1.14
django-filter>=2

=== debian/changelog ===
django-graphene (3.2.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * [94b7367] remove extraneous build-dep python3-mock

  [ Carsten Schoenert ]
  * [d885ffa] d/watch: Add compression type gz
  * [a2e3e5e] New upstream version 3.2.0
  * [260a2ae] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Jan 2024 08:07:15 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  python3-doc <!nodoc>,
  python3-graphene (>= 3.0)<!nocheck>,
  python3-graphql-core (>= 3.1.0)<!nocheck>,
- python3-mock <!nocheck>,
  python3-promise,
  python3-pytest (>= 7.1.3) <!nocheck>,
  python3-pytest-cov <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=django-graphene
# Tests needs some more work to get them work.
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	rm -rf $(CURDIR)/.eggs
	dh_clean

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-django-graphene-doc/usr/share/doc/python-django-graphene-doc/html
	rm $(CURDIR)/debian/python-django-graphene-doc/usr/share/doc/python-django-graphene-doc/html/.nojekyll
	dh_sphinxdoc
endif

=== debian/watch ===
# watch file for django-graphene

version=4

opts="mode=git, \
      compression=gz, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/django-graphene-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/graphql-python/graphene-django.git \
      refs/tags/v(\d+\.\d+|\d+\.\d+\.\d+)

## django-graphene 3.2.2

=== debian/changelog ===
django-graphene (3.2.2-2) unstable; urgency=medium

  * Team upload.
  * Remove extraneous dependency on old python3-singledispatch backport.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Sep 2024 15:18:33 +0200

django-graphene (3.2.2-1) unstable; urgency=medium

  * [72cdaa5] New upstream version 3.2.2
  * [4cc95ac] d/control: Update Standards-Version to 4.7.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 15 Jun 2024 08:16:44 +0200

django-graphene (3.2.1-1) unstable; urgency=medium

  * [7439a41] New upstream version 3.2.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Apr 2024 09:52:00 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python3-sphinx-rtd-theme <!nodoc>,
  python3-text-unidecode <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-graphene
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-graphene.git
 Homepage: https://github.com/graphql-python/graphene-django
@@ -53,7 +53,6 @@
  python3-django,
  python3-graphene,
  python3-promise,
- python3-singledispatch,
  ${misc:Depends},
  ${python3:Depends},
 Description: Django integration for Graphene (Python3 version)

## django-graphene 3.2.3

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 .PHONY: format ## Format code
 format:
-	black graphene_django examples setup.py
+	ruff format graphene_django examples setup.py
 
 .PHONY: lint ## Lint code
 lint:

=== examples/cookbook/requirements.txt ===
graphene>=2.1,<3
graphene-django>=2.1,<3
graphql-core>=2.1,<3
django==3.2.25
django-filter>=2

=== debian/changelog ===
django-graphene (3.2.3-1) unstable; urgency=medium

  * [211e39a] New upstream version 3.2.3
  * [3ea8953] d/control: Mark dh-sequence-sphinxdoc as <!nodoc>
  * [00f950a] d/copyright: Update year data
  * [4680ec8] d/control: Update Standards-Version to 4.7.2
    No further changes needed.
  * [6c4702d] d/rules: Drop -D and add -E option to SPHINXDOC

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 14 Mar 2025 19:09:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- dh-sequence-sphinxdoc,
+ dh-sequence-sphinxdoc <!nodoc>,
  python3-all,
 Build-Depends-Indep:
  pybuild-plugin-pyproject,
@@ -28,7 +28,7 @@
  python3-sphinx-rtd-theme <!nodoc>,
  python3-text-unidecode <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-graphene
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-graphene.git
 Homepage: https://github.com/graphql-python/graphene-django

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,7 @@
 
 #export DH_VERBOSE = 1
 
-include /usr/share/dpkg/pkg-info.mk
-
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 export PYBUILD_NAME=django-graphene
 # Tests needs some more work to get them work.
